clc; clear all; close all;
% polonekonecna doska (sill) v gravimetrii
% zakladne parametre: ro(hustota), dh(hrubka dosky vo vert. smere), h(hlbka stredu dosky)

% nacitanie vstupnych dat zo subru 'Bouguer_data.dat'
inpXBA = dlmread('Bouguer_data.dat',' ');
% stlpce su separovane do matic x a BA
x=inpXBA(:,1)';  BA=inpXBA(:,2)';
% je urceny pocet nacitanych profilovych dat
nx = length(x);

kappa = 6.67E-11; ro = -1800; h = 1500; dh = 600;
% zakladny vypoctovy cyklus
    for i = 1:nx
         Vz(i) = 1E5*2*kappa*ro*dh*(pi/2 + atan(x(i)/h));
    end;
%ten isty vypocet - len bez pouzitia cyklu, s bodkovou syntaxou
    Vz2 = 1E5*2*kappa*ro*dh*(pi/2 + atan(x./h));
    
% vykreslenie vysledku
figure, plot(x,BA,x,Vz2);
xlabel('x [m]','FontSize',10); ylabel('BA / Vz [mGal]','FontSize',10);%legend('Bouguer anomaly','modelled Vz');

% tvorba jednej matice z dvoch jednostlpcovych
outpfield = [x' Vz'];
% zapis do ASCII suboru
save  sill_grav.dat  outpfield  -ascii  -double;
